<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header> 
		<h2>HTML Entities</h2>
	</header>


	<main>
		<section>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can mix up with HTML code.</em></p>
				<!-- border att. defines the thickness of the border -->
			<table border = "2">
				<!-- this is oft he header of the table. -->
				<thead>
					<!-- tr - tag defines a table row. -->
					<tr>
						<!-- the colspan att. changes the amount of colums a table element -->
						<th colspan = "2">Entity</th>
						<!-- rowsspan att. changes the amount of rows a table element will occupy -->
						<th rowspan = "2">Description</th>
					</tr>

					<tr>
						<th>Symbol</th>
						<th>Name/Number</th>
					</tr>


				</thead>
				<!-- This is for the body of the table. -->
				<tbody>
				<!-- thi is the first row -->
					<tr>
						<!--this is the first column of the row -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>

					<!-- this is the second row -->

					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>ampersand</td>
					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotationmark(apostrophe)</td>
					</tr>

					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>


					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>


					
				</tbody>
				<!-- this is for the footer of the table. -->
				<tfoot>
					<tr>
						<th colspan= " 3 ">List of HTML entities.</th>
					</tr>
					
				</tfoot>
			</table>
		</section>

		<!-- This section is for HTML form -->
		<section>
			<h2>HTML Forms</h2>

			<p><em>Input elements that make up a form.</em></p>

			<form>
				<!-- Text inputs -->
				<!-- label tag creates a text element that serve as the label for the input field -->
				<!-- type attribute will define what type of information the input field shoud be.-->
					<!-- for attribute. is used with the id attribute in an inpute element. This allows the users to label-->
				<label for = "fullname">Full Name:</label><br/>
				<input type = "text" name = "fullname" id="fullname" required /> <br/>


				<label for="birthdate">Birthdate:</label> <br/>
				<input type ="date" name = "birthdate" id="birthdate" /><br/>

				<label for="age">Age:</label><br/>
				<input type = "number" name = "age" id="age" /> <br/>

				<!-- Dropdown  -->
				<label>Gender:</label><br/>
				<select name = "gender"/>
					<option value="male">Male</option><br/>
					<option value="female">Female</option><br/>
				</select><br/>

				<!-- textarea -->
				<label>Notes:</label><br/>
				<textarea name = "notes" rows = "5" cols = "5"></textarea><br/>

				<!-- Radio Button 1 selection -->
				<label>New User:</label><br/>

				<input type="radio" name="new_user" value = "yes" id="yes" />
				<label for="yes">Yes</label><br/>

				<input type="radio" name="new_user" value="no" id="no" />
				<label for="no">No</label><br/>

				<!-- Checkbox for multiple selection -->
				<label>Role:</label><br/>

				<input type="checkbox" name="role1" id="role1">

				<label for="role1">Developer</label><br/>

				<input type="checkbox" name="role2" id="role2">
				<label for="role2">Student</label><br/>

				<input type="checkbox" name="role3" id="role3">
				<label for="role3">Manager</label><br/>


				
				<button>Submit</button><br/>
				<button type = "reset">Reset</button>



			</form>
		</section>

	</main>

</body>
</html>